%{!?python_sitearch:%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		cantera
Version:	2.0.1
Release:	1%{?dist}.1
Summary:	An object-oriented software toolkit for chemical kinetics, thermodynamics, and transport processes.

Group:		System Environment/Libraries
License:	New BSD License
URL:		https://code.google.com/p/cantera/
Source0:	cantera-%{version}.tar.gz
Patch1:		cantera-lib64.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	scons sundials-devel python-devel boost-devel numpy python-sphinx10 pyparsing python-pygments
BuildRequires:	blas-devel lapack-devel gcc-gfortran gcc-c++ graphviz doxygen
Requires:	sundials sundials-devel blas-devel lapack-devel gcc-gfortran gcc-c++

%description
Cantera is a suite of object-oriented software tools for problems involving
chemical kinetics, thermodynamics, and/or transport processes.

With Cantera's object technology, you assemble your architectural masterpiece
(i.e application program) from a set of very special bricks you pick up at
the Cantera quarry! Each "brick" (or object) represents some well-defined
small component of the global structure.

%prep
%setup -q
perl -pi -e 's|sphinx-build|sphinx-1.0-build|' doc/SConscript
%ifarch x86_64
%patch1 -p1 -b .lib64
%endif

%build
scons build optimize=n blas_lapack_libs=blas,lapack prefix=%{_prefix} stage_dir=%{buildroot} sphinx_docs=yes doxygen_docs=yes

%install
rm -rf %{buildroot}
scons install
# fix a few files mentioning %{buildroot} even though they shouldn't
perl -pi -e 's|%{buildroot}||' %{buildroot}/usr/bin/setup_cantera %{buildroot}/usr/include/cantera/Cantera.mak
mv %{buildroot}/usr/man %{buildroot}/usr/share/man
%ifarch x86_64
mkdir -p %{buildroot}%{python_sitearch}
mv %{buildroot}%{python_sitelib}/* %{buildroot}%{python_sitearch}/
%endif

%check
scons test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/*
%{_includedir}/cantera
%{_libdir}/libcantera*
%{_libdir}/libctf2c*
%{_libdir}/libctmath*
%{_libdir}/libexecstream*
%{_libdir}/pkgconfig/cantera.pc
%{_mandir}/man1/*
%{_datadir}/cantera
%{python_sitearch}/*

%changelog
* Thu Mar 07 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
